-----------------------------------------------------------------------------
-- Stage 1-2
-----------------------------------------------------------------------------
    
function PostStage()

    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");

--	EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "DecorativePath2", 0, ST_GRAZING, 20000);
--	EntGame.SpawnAnimal2(AID_WILDEBEEST_F, "DecorativePath3", 0, ST_GRAZING, 30);
--	EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "DecorativePath4", 0, ST_GRAZING, 20000);
--	EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath1", 0, ST_WPT_WALK, 15);
--	EntGame.SpawnAnimal2(AID_WILDEBEEST_F, "FollowPath2", 1, ST_WPT_WALK, 14);
--	EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath3", 2, ST_WPT_WALK, 14);
--	EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath5", 1, ST_WPT_WALK, 14.0);
--	EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_WALK, 12);

    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldSavannah\\SavannahCommon.ini", "Maps\\Stage1-2\\Stage1-2.ini","","");
    EntGame.CreatePlayerEntities();

    EntGame.SetGlobalDustColorInitial(1.0, 0.81, .75, .55);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.81, .75, .55);
    
    EntGame.SetStageTimer(180);

    EntGame.LoadAnimal(AID_WILDEBEEST_M);
	EntGame.LoadAnimal(AID_WILDEBEEST_F);
	EntGame.LoadAnimal(AID_MEERKAT_M);
	
	animalb=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "DecorativePath2", 0, ST_GRAZING, 9);
	animalc=EntGame.SpawnAnimal2(AID_WILDEBEEST_F, "DecorativePath3", 0, ST_GRAZING, 10);
	animald=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "DecorativePath4", 0, ST_GRAZING, 10.5);
	animale=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath1", 0, ST_WPT_WALK, 15);
	animalf=EntGame.SpawnAnimal2(AID_WILDEBEEST_F, "FollowPath2", 1, ST_WPT_WALK, 14);
	animalg=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath3", 2, ST_WPT_WALK, 14);
	animalh=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath5", 1, ST_WPT_WALK, 14.0);

	StartupSequence("Music\\Verdure.ogg");
   
	EntGame.DestroyAllAnimals();
	
	     
--S    Animal.SetState(animalb, ST_GONE);
--S    Animal.SetState(animalc, ST_GONE);
--S    Animal.SetState(animald, ST_GONE);
--S    Animal.SetState(animale, ST_GONE);
--S    Animal.SetState(animalf, ST_GONE);
--S    Animal.SetState(animalg, ST_GONE);
--S    Animal.SetState(animalh, ST_GONE);
 
    end;

-----------------------------------------------------------------------------

function Part1()

	animal1=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "DecorativePath1", 0, ST_GRAZING, 8);
	Animal.EnableFear(animal1, false);
	animal2=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "DecorativePath2", 0, ST_GRAZING, 9);
	Animal.EnableFear(animal2, false);
	animal3=EntGame.SpawnAnimal2(AID_WILDEBEEST_F, "DecorativePath3", 0, ST_GRAZING, 10);
	Animal.EnableFear(animal3, false);	
	animal4=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "DecorativePath4", 0, ST_GRAZING, 10.5);
	Animal.EnableFear(animal4, false);
		
	EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath1", 0, ST_WPT_WALK, 15);
	animal10=EntGame.SpawnAnimal2(AID_WILDEBEEST_F, "FollowPath2", 1, ST_WPT_WALK, 14);
	animal6=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath3", 2, ST_WPT_WALK, 14);
	animal8=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath5", 1, ST_WPT_WALK, 14.0);
	animal9=EntGame.SpawnAnimal2(AID_WILDEBEEST_M, "FollowPath6", 0, ST_WPT_WALK, 12);
	Animal.EnableFear(animal9, false);

	Camera.SetSpeed(entCamera, 0.0, 0.1);
	Camera.JumpToWaypoint(entCamera, "CamWptAA"); 
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptCC");

	Script.WaitSec(10); --Overall Travel to WptCC time
	
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath1", 0, ST_WPT_RUN, 0, 1.5, 2.5, 1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath2", 0, ST_WPT_RUN, 0, 2, 3, .3);
	Script.WaitSec(3.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath3", 0, ST_WPT_RUN, 0, -7, -5, .8);
	EntGame.SpawnAnimal(AID_WILDEBEEST_M, "FollowPath7");
	Script.WaitSec(3.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath4", 0, ST_WPT_RUN, 0, 1.25, -6.5, .4);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath5", 0, ST_WPT_RUN, 0, 4, -5, .5);
	Script.WaitSec(2.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath1", 0, ST_WPT_RUN, 0, -2.5, .5, 1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath2", 0, ST_WPT_RUN, 0, 0, 0, .3);
	Script.WaitSec(4);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath3", 0, ST_WPT_RUN, 0, 2.7, .6, .8);
	Script.WaitSec(3.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath4", 0, ST_WPT_RUN, 0, .25, -1.5, .4);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath5", 0, ST_WPT_RUN, 0, 2, -.5, .5);
	Script.WaitSec(3.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath7", 0, ST_WPT_RUN, 0, 0, -.5, .8);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath7", 0, ST_WPT_RUN, 0, 2, -2, .3);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath7", 0, ST_WPT_RUN, 0, -3, 2, .5);
	
	Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(5); --Shooting Time
    
	end;
    
-----------------------------------------------------------------------------

function Part2()

	Camera.SetSpeed(entCamera, 1.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptDD");

	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(8);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath8", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath9", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath9", 0, ST_WPT_RUN, 0, 1.5, -1.5, .8);
	Script.WaitSec(3);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath10", 0, ST_WPT_RUN, 0, 0, 0, .3);
	EntGame.SpawnAnimal(AID_WILDEBEEST_M, "FollowPath2");
	EntGame.SpawnAnimal(AID_WILDEBEEST_F, "FollowPath5");
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath5", 0, ST_WPT_RUN, 0, 1.5, -6.5, .3);
	EntGame.SpawnAnimal(AID_WILDEBEEST_M, "FollowPath4");
	Script.WaitSec(11);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath10", 0, ST_WPT_RUN, 0, 0, 0, 1);

	Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(6); --Shooting Time	    
	    
    end;
        
-----------------------------------------------------------------------------

function Part3()
	
	Camera.SetSpeed(entCamera, 1.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptFF");
	
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, 1.5, 2, .5);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, 2, 3, .1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, -2, -3, .5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, -5.5, 4.5, .3);
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, -6.2, -5.5, .1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, 3.5, -1, .2);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, 4.8, 3.7, .1);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, 1.3, -3.3, .2);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, 0, -8.4, .1);				
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, 4, -7.3, .2);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, -3, -10, .5);								
			
    -- pan left and shoot some more
    Camera.SetPanOffset(entCamera, -40, .5); --(25 is angle, .15 is turning speed)
    Script.WaitSec(1);
    
    Voice.PlayVox(VOX_STAMPEDE_B, 1);
    
    Script.WaitSec(3);
    	
    -- pan back to the center
    Camera.SetPanOffset(entCamera, 0, 5);
    
    Script.WaitSec(7);
    
	animal1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath5", 0, ST_POPUP, 10, 0, 0, .5);	
	Animal.FaceEntity(animal1, entCamera);
	animal2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath6", 0, ST_POPUP, 9, 0, 0, .5);	
	Animal.FaceEntity(animal2, entCamera);
	Script.WaitSec(8);
	EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath9", 0, ST_WPT_RUN, 15, 0, 0, .5);	
	Script.WaitSec(2);
	animal3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath7", 0, ST_POPUP, 3, 0, 0, .5);	
	Animal.FaceEntity(animal3, entCamera);
	Animal.SetElvOffset(animal3, .3);
	Animal.SetCoinMode(animal3, CM_SPAWNREL);
	Script.WaitSec(2.5);
	animal4=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath8", 0, ST_POPUP, 3, 0, 0, .5);	
	Animal.FaceEntity(animal4, entCamera);
	Script.WaitSec(2.5);
	animal6=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath10", 0, ST_POPUP, 3, 0, 0, .5);	
	Animal.FaceEntity(animal6, entCamera);
	Animal.SetElvOffset(animal6, .5);
	Animal.SetCoinMode(animal6, CM_SPAWNREL);

	Camera.SetSpeed(entCamera, 0.0, 0.1);
	
	EntGame.SpawnAnimal(AID_WILDEBEEST_M, "FollowPath12");
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath12", 0, ST_WPT_RUN, 0, -3, -10, .6);	
	Script.WaitSec(2.5);
	animal4=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath8", 0, ST_POPUP, 3, 0, 0, .5);	
	Animal.FaceEntity(animal4, entCamera);
	Script.WaitSec(2.5); --Shooting Time	    
    EntGame.SpawnAnimal(AID_WILDEBEEST_M, "FollowPath12");
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath12", 0, ST_WPT_RUN, 0, -3, -10, .3);	
 
    -- pan left and shoot some more
    Camera.SetPanOffset(entCamera, -60, .7); --(25 is angle, .15 is turning speed)
  	
    Script.WaitSec(5.0);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath12", 0, ST_WPT_RUN, 0, 0, 0, 1);	
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath9", 0, ST_WPT_RUN, 15, -1, 0, 1);	
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath9", 0, ST_WPT_RUN, 15, -1.5, 1.5, .8);
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath9", 0, ST_WPT_RUN, 15, -0, 2.5, .7);
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath8", 0, ST_POPUP, 5, 0, 0, .6);
    
    -- pan right and shoot some more
    Camera.SetPanOffset(entCamera, 40, 0.7);
  
    Script.WaitSec(5);    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath12", 0, ST_WPT_RUN, 0, -5, 0, .8);	
    -- pan back to the center
    Camera.SetPanOffset(entCamera, 0, 1);
	    
    end;
        
-----------------------------------------------------------------------------

function Part4() 
	  
	Camera.SetSpeed(entCamera, .8, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptII");
	
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath12", 0, ST_WPT_RUN, 0, 5, 0, .6);	
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath12", 0, ST_WPT_RUN, 0, 2, -10, .5);	
	Script.WaitSec(5);
    animal8=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath12", 0, ST_POPUP, 3, 0, 0, .1);	
	Animal.FaceEntity(animal8, entCamera);
	Animal.SetElvOffset(animal8, .1);
	Animal.SetCoinMode(animal8, CM_SPAWNREL);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath13", 0, ST_WPT_RUN, 10, 0, 0, .8);	
	Script.WaitSec(1);
	Camera.SetTiltOffset(entCamera, 15, 1.0);
	animal10=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath10", 0, ST_POPUP, 6, 0, 0, .5);	
	Animal.FaceEntity(animal10, entCamera);
	Animal.SetElvOffset(animal10, .4);
	Animal.SetCoinMode(animal10, CM_SPAWNREL);
	animal13=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath14", 0, ST_POPUP, 10, 0, 0, .5);	
	Animal.FaceEntity(animal13, entCamera);	
	Script.WaitSec(2);
	Camera.SetTiltOffset(entCamera, 0, 5);
	animal11=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath15", 0, ST_POPUP, 6, 0, 0, .5);	
	Animal.FaceEntity(animal11, entCamera);
	Animal.SetElvOffset(animal11, .5);
	Animal.SetCoinMode(animal11, CM_SPAWNREL);
	animal12=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath17", 0, ST_POPUP, 6, 0, 0, .5);	
	Animal.FaceEntity(animal12, entCamera);
	Animal.SetElvOffset(animal12, .3);
	Animal.SetCoinMode(animal12, CM_SPAWNREL);
	Script.WaitSec(3);
	EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath16", 0, ST_WPT_RUN, 15, 0, 0, .8);	
	EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath16", 0, ST_WPT_RUN, 15, .5, .5, .3);	
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath19", 0, ST_WPT_RUN, 15, 0, 0, .3);	
	animal15=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath18", 0, ST_POPUP, 4, 0, 0, .3);	
	Animal.FaceEntity(animal15, entCamera);
	Animal.SetElvOffset(animal15, .3);
	Animal.SetCoinMode(animal15, CM_SPAWNREL);		
	Script.WaitSec(5);
	animal15=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath20", 0, ST_POPUP, 8, 0, 0, .3);	
	Animal.FaceEntity(animal15, entCamera);
	Animal.SetElvOffset(animal15, 1);
	Animal.SetCoinMode(animal15, CM_SPAWNREL);	
	EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath19", 0, ST_WPT_RUN, 15, -1, 0, 1);	
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath19", 0, ST_WPT_RUN, 15, 0, .5, .8);
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath19", 0, ST_WPT_RUN, 15, 2, 1.5, .7);
	animal12=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath17", 0, ST_POPUP, 5, 0, 0, .5);	
	Animal.FaceEntity(animal12, entCamera);
	Animal.SetElvOffset(animal12, .3);
	Animal.SetCoinMode(animal12, CM_SPAWNREL);    
 	Script.WaitSec(3);
	animal15=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath18", 0, ST_POPUP, 3, -.75, 0, .3);	
	Animal.FaceEntity(animal15, entCamera);
	Animal.SetElvOffset(animal15, .3);
	Animal.SetCoinMode(animal15, CM_SPAWNREL);
	Script.WaitSec(4);
	animal16=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "DecorativePath20", 0, ST_POPUP, 2, -.1, .4, .3);	
	Animal.FaceEntity(animal16, entCamera);
	Animal.SetElvOffset(animal16, 1.5);
	Animal.SetCoinMode(animal16, CM_SPAWNREL);
		
	Camera.SetSpeed(entCamera, 0.0, 0.1);
	
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath12", 0, ST_WPT_RUN, 0, 5, 0, .6);	
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath12", 0, ST_WPT_RUN, 0, 2, -10, .5);	
    Script.WaitSec(3); --Shooting Time    
	EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath16", 0, ST_WPT_RUN, 15, 1, -1, .3);	  
	Script.WaitSec(2);    
	    
    end;
    
    
-----------------------------------------------------------------------------

function Part5()
  
	Camera.SetSpeed(entCamera, 1.0, 0.1);
	Camera.StopAtWaypoint(entCamera, "CamWptKK");
	
	animala=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath14", 0, ST_POPUP, 13, 0, 0, .5);
	Animal.FaceEntity(animala, entCamera);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, 2, 3, .1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, -2, -3, .5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, -5.5, 4.5, .3);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, -6.2, -5.5, .1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, 3.5, -1, .2);
	Script.WaitSec(3);
	animalb=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath15", 0, ST_POPUP, 8, 0, 0, .5);	
	Animal.FaceEntity(animalb, entCamera);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, 1.3, -3.3, .2);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, 4, -7.3, .2);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, -3, -10, .5);	
	Script.WaitSec(8);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, 2, 3, .1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath11", 0, ST_WPT_RUN, 0, -2, -3, .5);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath11", 0, ST_WPT_RUN, 0, -5.5, 4.5, .3);   
	Script.WaitSec(6);
	animalc=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath18", 0, ST_POPUP, 5, 0, 0, .5);
	Animal.FaceEntity(animalc, entCamera);
	animald=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath19", 0, ST_POPUP, 4, 0, 0, .5);
	Animal.FaceEntity(animald, entCamera);
	Script.WaitSec(4);
	animale=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath17", 0, ST_POPUP, 5, 0, 0, .5);
	Animal.FaceEntity(animale, entCamera);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath13", 0, ST_WPT_RUN, 0, 0, 0, 1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath13", 0, ST_WPT_RUN, 0, 1.5, -.5, .8);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath13", 0, ST_WPT_RUN, 0, -1.5, -4, .6);

	Camera.SetSpeed(entCamera, 0.0, 0.1);
    Script.WaitSec(3); --Shooting Time 
 	    
     -- pan left and shoot some more
    Camera.SetPanOffset(entCamera, -50, 0.5);
    
    Script.WaitSec(2.5);    
 	animalf=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath20", 0, ST_POPUP, 2.5, 0, 0, 1);  
 	Animal.FaceEntity(animalf, entCamera);
 	Script.WaitSec(.5);  
 	
    -- pan right and shoot some more
    Camera.SetPanOffset(entCamera, 0, 1);
    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath8", 1, ST_WPT_RUN, 0, 0, 0, 1);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "FollowPath9", 1, ST_WPT_RUN, 0, 1.5, -.5, .8);
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "FollowPath10", 1, ST_WPT_RUN, 0, 0, 0, 1);
    animalh=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath19", 0, ST_POPUP, 2.5, 0, 0, .5);
	Animal.FaceEntity(animalh, entCamera);  
    Script.WaitSec(2.5);
	animalg=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "FollowPath17", 0, ST_POPUP, 1.5, 0, 0, .5);
	Animal.FaceEntity(animalg, entCamera);  

    end;    

-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Part1();   
Part2();   
Part3();   
Part4();   
Part5();   

